<?php

declare(strict_types=1);

namespace ComerciaGlobalPayments\AddonPayments\SDK\_3DSecure\v2;

/**
 * Interface SchemaInterface.
 *
 * Defines an interface for schema objects.
 */
interface SchemaObjectInterface
{
    /**
     * Returns an array of object default values keyed by property.
     */
    public function getDefaults(): array;

    /**
     * Get the name for this object on the schema.
     */
    public function getName(): string;
}
